﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace WpfApp21Point.Migrations
{
    /// <inheritdoc />
    public partial class update_party : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "AmountOfPoints",
                table: "GameParties",
                newName: "AmountOfPointsUser");

            migrationBuilder.AddColumn<int>(
                name: "AmountOfPointsOpponent",
                table: "GameParties",
                type: "integer",
                nullable: false,
                defaultValue: 0);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "AmountOfPointsOpponent",
                table: "GameParties");

            migrationBuilder.RenameColumn(
                name: "AmountOfPointsUser",
                table: "GameParties",
                newName: "AmountOfPoints");
        }
    }
}
