﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApp21Point.Classes;

namespace WpfApp21Point
{
    /// <summary>
    /// Логика взаимодействия для StartGamePage.xaml
    /// </summary>
    public partial class StartGamePage : Page
    {
        public StartGamePage()
        {
            InitializeComponent();
        }

        private void StartGame_Button_Click(object sender, RoutedEventArgs e)
        {
            if (GlobalData.User == null)
            {
                string messageBoxText = "Вы не авторизовались. Данные о вышей игре не будут сохранены.\n\nВы уверены, что хотите продолжить?";
                string caption = "Двадцать одно";
                MessageBoxButton button = MessageBoxButton.YesNo;
                MessageBoxImage icon = MessageBoxImage.Question;

                MessageBoxResult result = MessageBox.Show(messageBoxText, caption, button, icon);

                // Process message box results
                switch (result)
                {
                    case MessageBoxResult.Yes:
                        GlobalData.MainFrame.Navigate(new DeskPage());
                        break;
                }
            }
            else
            {
                GlobalData.MainFrame.Navigate(new DeskPage());
            }
        }
    }
}
